<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>HtmlDependencyReportTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="HtmlDependencyReportTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html" target="_top">Frames</a></li>
<li><a href="HtmlDependencyReportTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.reporting.dependencies</div>
<h2 title="Class HtmlDependencyReportTask" class="title">Class HtmlDependencyReportTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.reporting.dependencies.HtmlDependencyReportTask</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">HtmlDependencyReportTask</span>
extends org.gradle.api.internal.ConventionTask
implements <a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;</pre>
<div class="block">Generates an HTML dependency report. This report
 combines the features of the ASCII dependency report and those of the ASCII
 dependency insight report. For a given project, it generates a tree of the dependencies
 of every configuration, and each dependency can be clicked to show the insight of
 this dependency.
 <p>
 This task generates a report for the task's containing project by default. But it can also generate
 a report for multiple projects, by setting the value of the
 <code>projects</code> property. Here's how to generate an HTML
 dependency report for all the projects of a multi-project build, for example:
 <pre>
 htmlDependencyReport {
     projects = project.allprojects
 }
 </pre>
 <p>
 The report is generated in the <code>build/reports/project/dependencies</code> directory by default.
 This can also be changed by setting the <code>reports.html.destination</code> property:
 <pre>
 htmlDependencyReport {
     reports.html.destination = file("build/reports/project/dependencies")
 }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#HtmlDependencyReportTask()">HtmlDependencyReportTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#generate()">generate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#getObjectFactory()">getObjectFactory</a></strong>()</code>
<div class="block">Injects and returns an instance of <a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model"><code>ObjectFactory</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#getProjects()">getProjects</a></strong>()</code>
<div class="block">Returns the set of projects to generate a report for.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#getReports()">getReports</a></strong>()</code>
<div class="block">A <a href="../../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a> instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#getVersionComparator()">getVersionComparator</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#getVersionSelectorScheme()">getVersionSelectorScheme</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#reports(org.gradle.api.Action)">reports</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;&nbsp;configureAction)</code>
<div class="block">Allow configuration of the report container by closure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#reports(groovy.lang.Closure)">reports</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Allow configuration of the report container by closure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html#setProjects(java.util.Set)">setProjects</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&gt;&nbsp;projects)</code>
<div class="block">Specifies the set of projects to generate this report for.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HtmlDependencyReportTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HtmlDependencyReportTask</h4>
<pre>public&nbsp;HtmlDependencyReportTask()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getReports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&nbsp;getReports()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html#getReports()">Reporting</a></code></strong></div>
<div class="block">A <a href="../../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a> instance.
 <p>
 Implementors specify a specific implementation of <a href="../../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a> that describes the types of reports that
 are available.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#getReports()">getReports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="reports(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&nbsp;reports(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(groovy.lang.Closure)">Reporting</a></code></strong></div>
<div class="block">Allow configuration of the report container by closure.

 <pre>
 reports {
   html {
     enabled false
   }
   xml.destination "build/reports/myReport.xml"
 }
 </pre></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(groovy.lang.Closure)">reports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="reports(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&nbsp;reports(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;&nbsp;configureAction)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(org.gradle.api.Action)">Reporting</a></code></strong></div>
<div class="block">Allow configuration of the report container by closure.

 <pre>
 reports {
   html {
     enabled false
   }
   xml.destination "build/reports/myReport.xml"
 }
 </pre></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(org.gradle.api.Action)">reports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="getObjectFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectFactory</h4>
<pre>@Inject
public&nbsp;<a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a>&nbsp;getObjectFactory()</pre>
<div class="block">Injects and returns an instance of <a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model"><code>ObjectFactory</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="getVersionSelectorScheme()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersionSelectorScheme</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme&nbsp;getVersionSelectorScheme()</pre>
</li>
</ul>
<a name="getVersionComparator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersionComparator</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator&nbsp;getVersionComparator()</pre>
</li>
</ul>
<a name="generate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generate</h4>
<pre>public&nbsp;void&nbsp;generate()</pre>
</li>
</ul>
<a name="getProjects()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjects</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&gt;&nbsp;getProjects()</pre>
<div class="block">Returns the set of projects to generate a report for. By default, the report is generated for the task's
 containing project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The set of files.</dd></dl>
</li>
</ul>
<a name="setProjects(java.util.Set)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setProjects</h4>
<pre>public&nbsp;void&nbsp;setProjects(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&gt;&nbsp;projects)</pre>
<div class="block">Specifies the set of projects to generate this report for.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>projects</code> - The set of projects. Must not be null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html" target="_top">Frames</a></li>
<li><a href="HtmlDependencyReportTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
